/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for a dense matrix that stores float values in host memory 
 */
interface FloatMatrixHostDense extends MutableFloatMatrixHost
{
    /**
     * Returns the data 
     *  
     * @return The data 
     */
    float[] getData();
}